[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
AW: [wtp-dev] 12 plugins still require service versioning ... or,else I messed up

These are my problem... Was in my todo list but slipped.  I will fix and release today

 
First, many thanks to those of you who responded to
"50 plugins may need service field increased"
[https://bugs.eclipse.org/bugs/show_bug.cgi?id=156737 ]
either by fixing your versions, or adding notes to that bug.
But, there were a number of plugins (about 15) that still had new
releases in the 1.5.1 builds, but did not have their service
version increased.

After seeing that the qualifier increased, but not the service field,
 I compared what appeared to be the current code,
to the version with the R1_5_0 tag, and it appeared the following 12  had fixes that
were significant, and really were "bug fixes" that should have a service
version increase. (several were obvious minor changes to settings, or
something that did not represent a bug fix, so I didn't touch those).

Now,

1) I could have easily made an error. And released more than was intended!
    So, I need the owners of the following plugins to check this week's M build on
    Thursday, and let me know if I have erred. If so, we can quickly "roll back"
    to what ever the appropriate code, and version ID that's appropriate.
    and do a re-spin.

2) If '1' is not true, and I did the right thing, then, I just did a few hours of work for these plugin owners!
     which is not good!!!  And, would have appreciated a response to my
     previous posts or bugzilla. (Of course, if some of these plugins really
     have no owner who maintains them ... well, that's a whole other problem).

So, please check carefully and closely, and let me know if I have erred,
and let's figure out how to avoid these ambiguities in the future.

Just trying to help ...

= = = =

               
Qualifier Versioning Increase
        org.eclipse.jst.j2ee.ejb.annotation.model
                The current version was greater than the reference version.
                reference: 1.1.0.v200606212143   current: 1.1.0.v200609051139
Qualifier Versioning Increase
        org.eclipse.jst.j2ee.ejb.annotations.emitter
                The current version was greater than the reference version.
                reference: 1.1.0.v200606130315   current: 1.1.0.v200609051139
Qualifier Versioning Increase
        org.eclipse.jst.j2ee.ejb.annotations.xdoclet
                The current version was greater than the reference version.
                reference: 1.1.0.v200606130315   current: 1.1.0.v200608291320
Qualifier Versioning Increase
        org.eclipse.jst.j2ee.xdoclet.runtime
                The current version was greater than the reference version.
                reference: 1.1.0.v200606130315   current: 1.1.0.v200608281049
Qualifier Versioning Increase
        org.eclipse.jst.server.generic.jboss
                The current version was greater than the reference version.
                reference: 1.5.0.v200606130315   current: 1.5.0.v200608281040
Qualifier Versioning Increase
        org.eclipse.jst.server.generic.ui
                The current version was greater than the reference version.
                reference: 1.0.100.v200606130315   current: 1.0.100.v200608221634
Qualifier Versioning Increase
        org.eclipse.jst.server.generic.weblogic
                The current version was greater than the reference version.
                reference: 1.5.0.v200606130315   current: 1.5.0.v200607241119
Qualifier Versioning Increase
        org.eclipse.jst.server.websphere.core
                The current version was greater than the reference version.
                reference: 1.0.100.v200606130315   current: 1.0.100.v200608251324



Qualifier Versioning Increase
        org.eclipse.wst.common.ui.properties
                The current version was greater than the reference version.
                reference: 1.0.100.v200606130645   current: 1.0.100.v200608112028





only needed releasing, were versioned right in head

Qualifier Versioning Increase
        org.eclipse.wst.server.ui.doc.user
                The current version was greater than the reference version.
                reference: 1.0.2.v200605040131   current: 1.0.2.v200608302310
Qualifier Versioning Increase
        org.eclipse.wst.webtools.doc.user
                The current version was greater than the reference version.
                reference: 1.0.201.v200605181650   current: 1.0.201.v200608302310

minor change/fix

Qualifier Versioning Increase
        org.eclipse.wst.server.ui.infopop
                The current version was greater than the reference version.
                reference: 1.0.2.v200605040131   current: 1.0.2.v200608092232